> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ada.cx/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ada.cx/_mcp/server.

# List integrations

GET https://example.ada.support/api/v2/platform-integrations/

Get a list of platform integrations owned by your account (e.g. a developer sandbox)

Reference: https://docs.ada.cx/reference/integrations/get-platform-integrations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `cursor` (string, optional) — The ID that marks the start or beginning of the returned records
- `limit` (integer, optional) — The number of records to return

## Response

### 200

Platform integrations

- `data` (list of PlatformIntegration, optional)
- `meta` (PaginationMetadata, optional)

## Errors

### 401 Unauthorized Error

Unauthorized

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

### 404 Not Found Error

Not Found

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

### 429 Too Many Requests Error

Too Many Requests

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

### 500 Internal Server Error

Internal Server Error

- `errors` (list of ErrorsErrorsItems, required) — A list of errors

## Types

### PlatformIntegration

- `id` (string, required) — The unique identifier for the integration
- `status` (string, required) — The current state of the integration (development, approved, archived)
- `identifier_field_path` (string, required) — JMESPath describing which of the fields in `configuration_fields` is the best human-friendly field to use to identify a specific installation (e.g., account name)
- `name` (string, required) — The name of the integration
- `description` (string, required) — A description of what the integration does and how to use it
- `author` (string, required) — The name of the integration developer
- `contact` (string, required) — The URL or email address where users of the integration can reach out for support
- `uninstallation_url` (string, required) — The `delete` endpoint that initiates the uninstallation flow for the integration
- `oauth_callback_url` (string, required) — The `get` endpoint that will be invoked after OAuth authorization
- `tags` (list of enum, required) — A list of tags that describe the type of integration
  - Allowed values: `knowledge`
- `scopes` (list of string, required) — The list of OAuth token permissions the integration requests when installed
- `configuration_fields` (PlatformIntegrationConfigurationFields, required) — A json-schema describing the settings fields that a user should be presented with when installing the integration
- `created` (string, optional) — The date the integration was created
- `updated` (string, optional) — The date the integration was last updated
- `icon_url` (string, optional, nullable) — The URL of the icon that should be displayed with your integration
- `call_to_action` (string, optional, nullable) — The call to action text
- `error_codes` (PlatformIntegrationErrorCodes, optional, nullable) — An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

### PaginationMetadata

- `next_page_url` (string, optional, nullable) — The URL to the next page of results

### ErrorsErrorsItems

- `type` (string, required) — The error type
- `message` (string, required) — The error message
- `details` (string, optional, nullable) — Extra information about the error

### PlatformIntegrationConfigurationFields

A json-schema describing the settings fields that a user should be presented with when installing the integration

### PlatformIntegrationErrorCodes

An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "5df263b7db5a7e6ea03fae9b",
      "status": "development",
      "identifier_field_path": "credentials.knowledgeHubUrl",
      "name": "Connect to Cool Shop Knowledge Hub",
      "description": "Connect to Cool Shop Knowledge Hub to sync articles with your AI Agent's knowledge base",
      "author": "Cool Shop",
      "contact": "help@coolshop.support",
      "uninstallation_url": "http://coolshop.com/uninstall",
      "oauth_callback_url": "http://coolshop.com/",
      "tags": [
        "knowledge"
      ],
      "scopes": [
        "articles:read",
        "knowledge_sources:write"
      ],
      "configuration_fields": {
        "title": "Connect to Cool Shop Knowledge Hub",
        "type": "object",
        "description": "Complete this form to integrate your Knowledge Hub with your AI Agent",
        "required": [
          "credentials"
        ],
        "properties": {
          "credentials": {
            "type": "object",
            "title": "My Knowledge Hub credentials",
            "description": "The following information is found in your Cool Shop admin center",
            "properties": {
              "knowledgeHubUrl": {
                "type": "string",
                "title": "Knowledge Hub URL",
                "description": "The URL of your Knowledge Hub"
              },
              "secretKey": {
                "type": "string",
                "title": "Secret key",
                "description": "Find your Knowledge Hub secret key on the Knowledge Hub Management page",
                "format": "password"
              }
            },
            "required": [
              "knowledgeHubUrl",
              "secretKey"
            ]
          }
        }
      },
      "created": "2020-09-20T00:00:00+00:00",
      "updated": "2020-09-20T00:00:00+00:00",
      "icon_url": "https://example.com/icon.png",
      "call_to_action": "Connect to Cool Shop Knowledge Hub",
      "error_codes": {
        "error_403": "Unauthorized",
        "error_404": "Not Found"
      }
    }
  ],
  "meta": {
    "next_page_url": "https://example.ada.support/api/v2/api-name?cursor=6658f91ea88ff7e389eff34d"
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.ada.support/api/v2/platform-integrations/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://example.ada.support/api/v2/platform-integrations/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.ada.support/api/v2/platform-integrations/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.ada.support/api/v2/platform-integrations/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.ada.support/api/v2/platform-integrations/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.ada.support/api/v2/platform-integrations/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.ada.support/api/v2/platform-integrations/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/platform-integrations/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```